Izpack 5.0 installer doesnt let you overwrite an Izpack 1.0 installer (Izpack 4.3.6)

Description

The way Izpack 4.3.6 worked was that when a new version of my application was available users could just install the new version over the top of the older version. However with Izpack 5.0 although I can install over another Izpack 5.0 installation I am unable to install over a 4.3.6 installation it gives the error

'Incompatible Installation detected:Uninstall first or choose another directory to install to'.

What is the point of this restriction ?

The problem is particulary bad for me because my 4.3.6 version of my application does not comes with a uninstaller installed in Program and Features because I couldn't undertsand how to do that when I wrote the installer.

Environment

Windows 7

Assignee

Unassigned

Reporter

Former user

Impact

None

Components

Affects versions

Priority

High
Configure